package com.jwipc.sys.logic;

import com.jwipc.page.PageView;
import com.jwipc.sys.dto.MsgNoticeDTO;
import com.jwipc.sys.model.query.LoginLogQuery;
import com.jwipc.sys.model.query.MsgNoticeQuery;

/**
 * @author shenyang.ou
 * @date 2024/1/31 15:32
 * @desc 公告
 */
public interface NoticeLogic {
    PageView findByPage(MsgNoticeQuery query);

    MsgNoticeDTO getById(Long id);

    void saveOrUpdate(MsgNoticeDTO param);

    /**
     * 发布
     *
     * @param id 参数
     */
    void publish(Long id);

    /**
     * 删除
     *
     * @param id 参数
     */
    void remove(Long id);
}
